local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou4") then

    disableMovement()

    setFlag("comgladiolo")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_gladiolo"))

    setFlag("falou4", false)
    setFlag("vazou4", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comgladiolo")
    setFlag("falou4", false)
    setFlag("vazou4", false)
    enableMovement()
  end
end